###############################################################################
# StressTest
LOCAL_PATH := $(call my-dir)

ifeq ($(strip $(TARGET_BOARD_HARDWARE)), rk30board)
ifeq ($(strip $(TARGET_BOARD_PLATFORM_PRODUCT)), vr)
include $(CLEAR_VARS)
LOCAL_MODULE := DeviceTest
LOCAL_MODULE_CLASS := APPS
LOCAL_MODULE_TAGS := optional
LOCAL_BUILT_MODULE_STEM := package.apk
LOCAL_MODULE_SUFFIX := $(COMMON_ANDROID_PACKAGE_SUFFIX)
LOCAL_PRIVILEGED_MODULE := true
LOCAL_CERTIFICATE := PRESIGNED
#LOCAL_OVERRIDES_PACKAGES := 
LOCAL_SRC_FILES := RKVRDeviceTest.apk
include $(BUILD_PREBUILT)
else
include $(CLEAR_VARS)
LOCAL_MODULE := DeviceTest
LOCAL_MODULE_CLASS := APPS
LOCAL_MODULE_TAGS := optional
LOCAL_BUILT_MODULE_STEM := package.apk
LOCAL_MODULE_SUFFIX := $(COMMON_ANDROID_PACKAGE_SUFFIX)
LOCAL_PRIVILEGED_MODULE := true
LOCAL_CERTIFICATE := PRESIGNED
#LOCAL_OVERRIDES_PACKAGES :=
LOCAL_SRC_FILES := $(LOCAL_MODULE).apk
include $(BUILD_PREBUILT)
$(shell cp -rf $(LOCAL_PATH)/devicetest_config/ $(TARGET_OUT)/etc/)
$(shell mkdir -p $(TARGET_OUT)/bin/ccm3310s)
$(shell cp -rf $(LOCAL_PATH)/ccm3310s/* $(TARGET_OUT)/bin/ccm3310s/)
endif
endif

ifeq ($(strip $(TARGET_BOARD_HARDWARE)), sofiaboard)

include $(CLEAR_VARS)
LOCAL_MODULE := DeviceTest
LOCAL_MODULE_CLASS := APPS
LOCAL_MODULE_TAGS := optional
LOCAL_BUILT_MODULE_STEM := package.apk
LOCAL_MODULE_SUFFIX := $(COMMON_ANDROID_PACKAGE_SUFFIX)
LOCAL_PRIVILEGED_MODULE := true
LOCAL_CERTIFICATE := PRESIGNED
#LOCAL_OVERRIDES_PACKAGES := 
ifneq ($(DISABLE_MODEM),true)
LOCAL_SRC_FILES := $(LOCAL_MODULE)_sofia.apk
else
LOCAL_SRC_FILES := $(LOCAL_MODULE)_sofia_wifionly.apk
endif
LOCAL_PREBUILT_JNI_LIBS := lib/librkinfoDeviceTest.so
include $(BUILD_PREBUILT)

endif
